Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/btrbk: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Mon, 4 Jan 2016 04:53:56 +0000

---
 testing/btrbk/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/btrbk/APKBUILD
diff --git a/testing/btrbk/APKBUILD b/testing/btrbk/APKBUILD
new file mode 100644
index 0000000..bc07b3b
--- /dev/null
+++ b/testing/btrbk/APKBUILD
_at_@ -0,0 +1,40 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=btrbk
+pkgver=0.21.0
+pkgrel=0
+pkgdesc="Backup tool for btrfs subvolumes with atomic snapshots & incremental transfers"
+url="http://digint.ch/btrbk/"
+arch="noarch"
+license="GPL3"
+depends="perl perl-date-calc btrfs-progs"
+depends_dev=""
+makedepends="$depends_dev"
+subpackages="$pkgname-doc"
+source="http://digint.ch/download/$pkgname/releases/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	true || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -rf "$pkgdir"/usr/lib || return 1 # systemd scripts
+}
+
+md5sums="a2bc1bd4da21c105111a5b2cff2a2a19  btrbk-0.21.0.tar.xz"
+sha256sums="c8fce308180a392a4770ca3ad45c294c2c02a4e6dd4d4f39085f4c34bee3356c  btrbk-0.21.0.tar.xz"
+sha512sums="2b3b18dcb625420d4b230e698caf1e42d202784d6d52c0c6c97d1a52589ea25d49e845a853cd1ad3030feafd0065a2f23398c156aac8cdb92a30d05cccb2a535  btrbk-0.21.0.tar.xz"
-- 
2.6.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Jan 04 2016 - 04:53:56 GMT